Переполнение буфера в Blender

Дата публикации:
21.04.2008
Дата изменения:
19.05.2008
Всего просмотров:
1073
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Blender 2.x
Уязвимые версии: Blender 2.45, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных в функции "imb_loadhdr()" в файле source/blender/imbuf/intern/radiance_hdr.c. Удаленный пользователь может с помощью *.blend файла, содержащего специально сформированное Radiance RGBE изображение, вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.blender3d.org/cms/Blender.31.0.html

Решение: Установите исправление из SVN репозитория производителя.

Ссылки: Secunia Research: Blender "imb_loadhdr()" Buffer Overflow Vulnerability

или введите имя

CAPTCHA